Thread
#aws
    w

    witty-park-12681

    5 months ago
    Hey yall - running into an issue after refactoring a deployment to use it's own VPC - now I'm running into a problem when trying to update the environment.
    error: 1 error occurred:
    	* updating urn:pulumi:STAGE::rms-strata::aws:lb:ApplicationLoadBalancer$aws:lb/loadBalancer:LoadBalancer::strata-lb-stage: 1 error occurred:
    	* failure Setting LB Security Groups: InvalidConfigurationRequest: Security group 'sg-08d526aacc421c6e8' does not belong to VPC 'vpc-ee8dcb97'
    	status code: 400, request id: a925e681-199d-48a8-bd0d-31ce8344a40e
    Hoping to find a way around this since there is data in this environment that can't be lost. I don't want to tear down the entire thing. What options do I have to get around this?
    b

    billowy-army-68599

    5 months ago
    this isn't easy I'm afraid, we probably need to get on a call to talk through your options. It's a limitation of AWS, not Pulumi
    w

    witty-park-12681

    5 months ago
    @billowy-army-68599 dang, would definitely like to jump on a call if you're open to talk me through it. Imagine, this will involved some manual intervention? Editing the stack file manually?
    @billowy-army-68599 got any time today to talk though the options for migrating the VPC? or if you could outline some steps on how to work around this issue?
    b

    billowy-army-68599

    5 months ago
    hey @witty-park-12681 I'll send you a booking link shortly
    w

    witty-park-12681

    5 months ago
    🙏